# -*- coding: utf-8 -*-

from PyQt4 import QtGui, QtCore
 
class toolBar(QtGui.QToolBar):
    """
    QToolbar widget
    """
    def __init__(self, parent):
        QtGui.QToolBar.__init__(self, parent)
        self.setIconSize(QtCore.QSize(24,24))
        # Copier vers le pressse-papier
        presse_papier = QtGui.QAction(QtGui.QIcon("klipper.png"), "Copier vers le presse-papier", self)
        # Exporter                
        exportCombo = QtGui.QComboBox()
        exportCombo.setObjectName("exportCombo")
        exportCombo.addItem('Exporter vers...')
        exportCombo.addItem(QtGui.QIcon("libreoffice-calc.png"), "LibreOffice")
        exportCombo.addItem(QtGui.QIcon("qtiplot.png"), "QtiPlot")
        exportCombo.addItem(QtGui.QIcon("scidavis.png"), "SciDAVis")
        # Changer d'échelle 
        nvl_echelle = QtGui.QAction(QtGui.QIcon("measure.png"), "Changer d'échelle", self)
        #nvl_echelle.setGeometry(QtCore.QRect(240, 90, 148, 23))
        nvl_echelle.setObjectName("pushButton_nvl_echelle")
        
        
        self.addAction(presse_papier)
        self.addSeparator()
        self.addWidget(exportCombo)
        self.addSeparator()
        self.addAction(nvl_echelle)